RadioLib Universal wireless communication library for Arduino

Public Member Functions | Public Attributes | List of all members
BellClient Class Reference

Client for Bell modem communication. The public interface is the same as Arduino Serial. More...

`#include <BellModem.h>`

Inheritance diagram for BellClient:

## Public Member Functions
| BellClient (PhysicalLayer *phy, uint32_t pin)
| Default constructor. More...
| BellClient (AFSKClient *aud)
| Audio-client constructor. Can be used when AFSKClient instance already exists. More...
int16_t | begin (const BellModem_t &modem)
| Initialization method. More...
int16_t | setModem (const BellModem_t &modem)
| Set Bell modem. More...
int16_t | setCorrection (float corr)
| Set correction coefficient for tone length. More...
size_t | write (uint8_t b)
| Write one byte. Implementation of interface of the RadioLibPrint/Print class. More...
int16_t | idle ()
| Set the modem to idle (ready to transmit).
int16_t | standby ()
| Set the modem to standby (transmitter off).
Public Member Functions inherited from AFSKClient
| AFSKClient (PhysicalLayer *phy, uint32_t pin)
| Default contructor. More...
| AFSKClient (AFSKClient *aud)
| Copy contructor. More...
int16_t | begin ()
| Initialization method. More...
int16_t | tone (uint16_t freq, bool autoStart=true)
| Start transmitting audio tone. More...
int16_t | noTone (bool keepOn=false)
| Stops transmitting audio tone. More...
Public Member Functions inherited from RadioLibPrint
size_t | write (const char *str)
virtual size_t | write (const uint8_t *buffer, size_t size)
size_t | write (const char *buffer, size_t size)
size_t | print (ITA2String &ita2)
size_t | println (ITA2String &ita2)
size_t | print (const char[])
size_t | print (char)
size_t | print (unsigned char, int=DEC)
size_t | print (int, int=DEC)
size_t | print (unsigned int, int=DEC)
size_t | print (long, int=DEC)
size_t | print (unsigned long, int=DEC)
size_t | print (double, int=2)
size_t | println (const char[])
size_t | println (char)
size_t | println (unsigned char, int=DEC)
size_t | println (int, int=DEC)
size_t | println (unsigned int, int=DEC)
size_t | println (long, int=DEC)
size_t | println (unsigned long, int=DEC)
size_t | println (double, int=2)
size_t | println (void)

## Public Attributes
bool | reply
| Whether the modem is replying. On some modems, the replying station has different tone frequencies.

## Detailed Description

Client for Bell modem communication. The public interface is the same as Arduino Serial.

## Constructor & Destructor Documentation

## ◆ BellClient() [1/2]

BellClient::BellClient | ( | PhysicalLayer * | phy,
|  | uint32_t | pin
| ) |  |
| explicit

Default constructor.

Parameters

  phy | Pointer to the wireless module providing PhysicalLayer communication.
  pin | The GPIO pin at which the tones will be generated.

## ◆ BellClient() [2/2]

BellClient::BellClient | ( | AFSKClient * | aud | ) |

Audio-client constructor. Can be used when AFSKClient instance already exists.

Parameters

  aud | Audio client to use.

## Member Function Documentation

## ◆ begin()

int16_t BellClient::begin | ( | const BellModem_t & | modem | ) |

Initialization method.

Parameters

  modem | Definition of the Bell modem to use for communication.

Returns
  Status Codes

## ◆ setCorrection()

int16_t BellClient::setCorrection | ( | float | corr | ) |

Set correction coefficient for tone length.

Parameters

  corr | Timing correction factor, used to adjust the length of tones. Less than 1.0 leads to shorter tones, defaults to 1.0 (no correction).

Returns
  Status Codes

## ◆ setModem()

int16_t BellClient::setModem | ( | const BellModem_t & | modem | ) |

Set Bell modem.

Parameters

  modem | Definition of the Bell modem to use for communication.

Returns
  Status Codes

## ◆ write()

size_t BellClient::write | ( | uint8_t | b | ) |
| virtual

Write one byte. Implementation of interface of the RadioLibPrint/Print class.

Parameters

  b | Byte to write.

Returns
  1 if the byte was written, 0 otherwise.

Implements RadioLibPrint.

The documentation for this class was generated from the following files:

- src/protocols/BellModem/BellModem.h
- src/protocols/BellModem/BellModem.cpp